<?php
class CommentReportButtonAdmin extends CommentReportButton {

	///////////////////////////////////////
	/* 初期定義 */
	///////////////////////////////////////
	public function init() {
		parent::__construct();

		// CSS登録
		add_action( 'admin_enqueue_scripts', array( $this, 'add_css' ) );

		// 通報カラム追加
		add_filter( 'manage_edit-comments_columns', array( $this, 'add_comments_columns_report' ) );
		add_action( 'manage_comments_custom_column', array( $this, 'add_comments_columns_report_row'), 10, 2 );
		add_filter( 'manage_edit-comments_sortable_columns', array( $this, 'add_comments_columns_sortable_report' ) );
		add_filter( 'parse_comment_query', array( $this, 'comments_report_orderby' ) );
	}

	///////////////////////////////////////
	/* CSS登録 */
	///////////////////////////////////////
	public function add_css() {
		wp_enqueue_style( 'comment_report_style', COMMENT_REPORT_PLUGIN_URL. '/css/style.css' );
	}

	///////////////////////////////////////
	/* 通報カラム追加 */
	///////////////////////////////////////
	public function add_comments_columns_report($columns) {
		$columns['report'] = '通報';
		return $columns;
	}
	public function add_comments_columns_sortable_report($columns) {
		$columns['report'] = 'report';
		return $columns;
	}
	public function add_comments_columns_report_row($column_name, $comment_id) {
		if ('report' == $column_name) {
			$reports = get_comment_meta( $comment_id, 'reports', true );
			echo ( !empty($reports) ? '<span class="report-flag"><span class="dashicons dashicons-flag"></span> ('. count($reports). ')</span>' : '' );
		}
	}
	public function comments_report_orderby($query) {
		global $pagenow;
		if (!is_admin() || $pagenow !== 'edit-comments.php') return;

		$orderby = $query->query_vars['orderby'];

		if ($orderby == 'report') {
			$query->query_vars['meta_key'] = 'reports';
			$query->query_vars['orderby'] = 'post_date';
			$query->query_vars['order'] = 'DESC';
		}
	}
}
