<?php
/*
Plugin Name: Comment Report Button
Plugin URI: http://maroyaka.coln.biz/
Description: コメント通報ボタン
Author: tisa
Version: 1.0.1
Author URI: http://maroyaka.coln.biz/
*/

define( 'COMMENT_REPORT_PLUGIN', __FILE__ );
define( 'COMMENT_REPORT_PLUGIN_DIR', untrailingslashit( dirname( __FILE__ ) ) );
define( 'COMMENT_REPORT_PLUGIN_URL', untrailingslashit( plugins_url( '', __FILE__ ) ) );

require_once COMMENT_REPORT_PLUGIN_DIR. '/functions.php';

if ( !is_admin() || ( defined( 'DOING_AJAX' ) && DOING_AJAX ) ) {
	require_once COMMENT_REPORT_PLUGIN_DIR. '/public.php';
	$cr = new CommentReportButtonPublic();
} else {
	require_once COMMENT_REPORT_PLUGIN_DIR. '/admin.php';
	require_once COMMENT_REPORT_PLUGIN_DIR. '/setting.php';
	$cr = new CommentReportButtonAdmin();
}

add_action( 'init', array( $cr, 'init' ) );

class CommentReportButton {
	public function __construct() {
		if ( function_exists( 'register_activation_hook' ) ) register_activation_hook(COMMENT_REPORT_PLUGIN, array( $this, 'activation' ) );
		if ( function_exists( 'register_uninstall_hook' ) ) register_uninstall_hook(COMMENT_REPORT_PLUGIN, array( 'CommentReportButton', 'uninstall' ) );
	}

	///////////////////////////////////////
	/* インストール */
	///////////////////////////////////////
	public function activation() {
		// オプションデフォルト設定
		$default_options = array(
			'auto_unauthorized' => 0,
			'auto_unauthorized_count' => 5,
			'auto_trash' => 0,
			'auto_trash_count' => 10,
			'sendmail' => 0,
			'sendmail_count' => 1,
			'sendmail_address' => '',
			'button_view' => 1,
			'button_view_position' => 'reply',
			'button_view_position_baf' => 'before',
			'button_permission' => '',
			'button_element' => 'button',
			'button_text' => '通報',
			'button_class' => '',
			'button_style' => 'display: inline-block; margin: 0 3px; padding: 1px 5px; font-size: 12px; line-height: 1.5;',
		);
		add_option('comment_report_option', $default_options);
	}

	///////////////////////////////////////
	/* アンインストール */
	///////////////////////////////////////
	public static function uninstall() {
		// オプション削除
		delete_option('comment_report_option');
	}
}
