<?php
///////////////////////////////////////
/* 通報ボタン設置 */
///////////////////////////////////////
function comment_report_button( $put = true, $element = '', $text = '', $class = '' ) {
	global $comment_report_option;

	// 表示有無
	if ($comment_report_option['button_view'] != 1) {
		return;
	}

	// 押下権限
	if ( $comment_report_option['button_permission'] !== '' && ( !is_user_logged_in() || !current_user_can($comment_report_option['button_permission']) ) ) {
		return;
	}

	$merge = array();
	if (!empty($element)) $merge['button_element'] = $element;
	if (!empty($text)) $merge['button_text'] = $text;
	if (!empty($class)) $merge['button_class'] = $class;

	$options = array_merge( $comment_report_option, $merge );

	if ($options['button_element'] == 'button') {
		$element = '<button class="comment-report-button %s" style="%s" data-button="report" data-comment-id="%s">%s</button>';
	} else {
		$element = '<a href="javascript: void(0);" class="comment-report-button %s" style="%s" data-button="report" data-comment-id="%s">%s</a>';
	}

	$btn = sprintf(
		$element,
		esc_attr( $options['button_class'] ),
		esc_attr( $options['button_style'] ),
		get_comment_ID(),
		esc_attr( $options['button_text'] )
	);

	if ($put) {
		echo $btn;
	} else {
		return $btn;
	}
}
