jQuery(document).ready(function($) {
	'use strict';

	var runtime = false;

	// 通報ボタン押下
	$('body').on('click', '[data-button="report"]:not(:disabled)', function(event) {
		event.preventDefault();

		if (!confirm('不適切なコメントとして通報してもよろしいですか？')) return false;

		var repBtn = $(this);
		repBtn.prop('disabled', true);

		$.ajax({
			url: _commentReportButton.ajax_url,
			type: 'POST',
			dataType: 'text',
			timeout: 10000,
			cache : false,
			data: {
				'action': 'report',
				'_ajax_nonce': _commentReportButton.ajax_nonce_report,
				'comment_id': repBtn.data('comment-id')
			}
		}).
		always(function() {
			repBtn.prop('disabled', false);
		}).
		fail(function(xhr, status, error) {
			console.log('failed: ' + status + ' ' + xhr.status + ' ' + xhr.statusText);
			alert('通信エラー');
		}).
		done(function(data) {
			if (data == 'OK') {
				alert('コメントを通報しました');
			} else if (data == 'Existing') {
				alert('既に通報しています');
			} else {
				alert('送信に失敗しました');
			}
		});
	});
});
